Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.cdo.internal.ui.handlers
Class AbstractWorkspaceHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.emf.ecp.cdo.internal.ui.handlers.AbstractWorkspaceHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  CheckinHandler, UpdateHandler

    public abstract class AbstractWorkspaceHandler

extends org.eclipse.core.commands.AbstractHandler

Abstract Handler for executing commands.

Author:
  Eike Stepper

Constructor Summary
`AbstractWorkspaceHandler(String jobName)` Constructor.

Method Summary
`Object` | `execute(org.eclipse.core.commands.ExecutionEvent event)`
`String` | `getJobName()` Get the display name of the current job.

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractWorkspaceHandler

    public AbstractWorkspaceHandler(String jobName)

  Constructor.

  Parameters:
    `jobName` - display job name

Method Detail

### getJobName

    public final String getJobName()

  Get the display name of the current job.

  Returns:
    the name

### execute

    public final Object execute(org.eclipse.core.commands.ExecutionEvent event)
                         throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`
  See Also:
    `IHandler.execute(org.eclipse.core.commands.ExecutionEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.